package jp.co.sds_corp.fxchart.graph;

import jp.co.sds_corp.fxutil.CcyPair;

/**
* 日足レートソースから月足データを読み込むIRateSourceの実装です。
*/
public class MonthFileSource extends DayFileSource
{
	public MonthFileSource( CcyPair pair, String term, String span ) {
		super( pair, term, span );
	}

	protected String getHistoryKey( String span, RateHistRosoku rate ) {
		String ret = rate.getStartDate().format( "yyyyMM" );
		return ret;
	}

}
